
Redmine - Defect #8560

Issue context menu error: undefined method enabled_modules

2011-06-08 03:16 - Nicolas Connault

Status: Closed Start date: 2011-06-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

After upgrading redmine to 1.2 (following the recommended upgrade procedure), whenever I right-click an issue I get the following

output from mongrel:

Processing ContextMenusController#issues (for 114.198.96.185 at 2011-06-07 18:12:03) [GET]

Parameters: {"back_url"=>"/projects/admin-conversion/issues", "ids"=>["62"], "action"=>"issues",

"authenticity_token"=>"F/nXzbhwODK+QacKtXm46GKc+Gn5CMrfm11THzh13Ic=", "controller"=>"context_menus"}

NoMethodError (undefined method `enabled_modules' for #<Array:0x2b5917f34af8>):

app/controllers/context_menus_controller.rb:21:in `issues'

Rendering /home/chinas7/apps/redmine/public/500.html (500 Internal Server Error)

I briefly see the "Loading" overlay, but it is gone before it is even fully displayed.

History

#1 - 2011-06-08 03:17 - Nicolas Connault

Here is the output from script/about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /home/chinas7/apps/redmine

Environment               development

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Wiki sidebar toc plugin                 0.0.1

Redmine Code Review plugin              0.3.1

Redmine Codebook plugin                 0.3.1

Redmine Wiki Index Collapsable plugin   0.0.4

Redmine SSL auth plugin                 0.0.1

Redmine Time Tracker plugin             0.3

Redmine Wiki Permissions plugin         0.0.1

Redmine Wiki Extensions plugin          0.2.3

#2 - 2011-06-08 10:06 - Yaroslav Matsera

+1

my script/about (There are 2 identical plugins):

About your application's environment

Ruby version              1.8.7 (i386-mingw32)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

2025-05-17 1/2



Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          C:/Ruby/railsapps/redmine

Environment               production

Database adapter          postgresql

Database schema version   20101114115359

About your Redmine plugins

Single Project Forward            0.1

Redmine Wiki Permissions plugin   0.0.1

Redmine Wiki Extensions plugin    0.3.3

#3 - 2011-06-10 10:49 - Etienne Massip

Could you please :

try without these plugins ?

post your app/controllers/context_menus_controller.rb file ?

#4 - 2011-06-11 01:15 - Nicolas Connault

- File context_menus_controller.rb added

- Assignee set to Etienne Massip

Etienne, thanks for your suggestions. I uninstalled all the plugins. The only plugin that made a difference was codebook (

http://www.redmine.org/projects/redmine/wiki/PluginCodeBook). This plugin is NOT compatible with Redmine 1.2. As soon as I uninstalled it, the

context menus worked again.

#5 - 2011-06-11 13:42 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Ok, thanks, that must be a comparable issue for Yaroslav.

#6 - 2011-06-11 13:42 - Etienne Massip

- Assignee deleted (Etienne Massip)

#7 - 2011-07-10 09:55 - Yaroslav Matsera

In my case problem present with Redmine Wiki Permissions

Files

context_menus_controller.rb 2.65 KB 2011-06-10 Nicolas Connault
